package de.jottyfan.timetrack.spring.done;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

/**
 * 
 * @author henkej
 *
 */
public class DoneModel implements Serializable {
	private static final long serialVersionUID = 1L;
	
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	private LocalDate day;
	
	public DoneModel() {
		this.day = LocalDate.now();
	}

	/**
	 * @return the day
	 */

	public LocalDate getDay() {
		return day;
	}

	/**
	 * @param day the day to set
	 */
	public void setDay(LocalDate day) {
		this.day = day;
	}
}
